import traceback

from cpl_core.configuration import ConfigurationModelABC
from cpl_core.console import Console


class DiscordSettings(ConfigurationModelABC):

    def __init__(self):
        ConfigurationModelABC.__init__(self)

        self._token: str = ''

    @property
    def token(self) -> str:
        return self._token

    def from_dict(self, settings: dict):
        try:
            self._token = settings['Token']
        except Exception as e:
            Console.error(f'[ ERROR ] [ {__name__} ]: Reading error in {__name__} settings')
            Console.error(f'[ EXCEPTION ] [ {__name__} ]: {e} -> {traceback.format_exc()}')
